com.jgoodies.forms.builder

## Enum FormBuilder.LabelType

- java.lang.Object
- - java.lang.Enum<FormBuilder.LabelType>
  - - com.jgoodies.forms.builder.FormBuilder.LabelType

- All Implemented Interfaces:
    Serializable, Comparable<FormBuilder.LabelType>
  Enclosing class:
    FormBuilder

      public static enum FormBuilder.LabelType
      extends Enum<FormBuilder.LabelType>

  See Also:
    `FormBuilder.defaultLabelType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `READ_ONLY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormBuilder.LabelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FormBuilder.LabelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final FormBuilder.LabelType DEFAULT

    - #### READ_ONLY

          public static final FormBuilder.LabelType READ_ONLY

  - ### Method Detail

    - #### values

          public static FormBuilder.LabelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormBuilder.LabelType c : FormBuilder.LabelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormBuilder.LabelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.